
package de.ivu.elect.presentation.kandidatur.menu;

import javax.inject.Inject;

import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.kandidatur.EinzelkandidaturCreateViewResolver;

public class EinzelkandidaturCreateMenuItemEntry extends AbstractDirektkandidaturCreateMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient EinzelkandidaturCreateViewResolver einzelkandidaturCreateViewResolver;

  public EinzelkandidaturCreateMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.DIREKTKANDIDATUR_CREATE);
  }

  @Override
  protected String getViewId(Mandant mandant) {
    return einzelkandidaturCreateViewResolver.getViewId(mandant);
  }

  @Override
  protected String getEntityEinzahlMessageKey() {
    return "entity.einzahl.EINZELKANDIDATUR";
  }
}
